PROJECT (COLL2D)

CMAKE_MINIMUM_REQUIRED (VERSION 2.6)

# Needed for UnitTest++
LIST( APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/CMake )

SET ( COLL2D_SRCS
  src/coll2d.cc
  )

INCLUDE_DIRECTORIES ( include ../mathlib/ )

SET_TARGET_PROPERTIES ( ${PROJECT_EXECUTABLES} PROPERTIES
  LINKER_LANGUAGE CXX
)

SUBDIRS (tests)

ADD_LIBRARY ( coll2d STATIC ${COLL2D_SRCS} )

